- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::geom::MultiLineString Class Reference

Basic implementation of MultiLineString objects. More...

`#include <MultiLineString.h>`

Inheritance diagram for geos::geom::MultiLineString:

List of all members.

## Public Member Functions
Dimension::DimensionType | getDimension () const
| Returns line dimension (1).
int | getBoundaryDimension () const
| Returns Dimension::False if all LineStrings in the collection are closed, 0 otherwise.
Geometry * | getBoundary () const
| Returns a (possibly empty) MultiPoint.
std::string | getGeometryType () const
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const
| Return an integer representation of this Geometry type.
bool | isClosed () const
bool | isSimple () const
| Returns false if the Geometry not simple.
bool | equalsExact (const Geometry *other, double tolerance=0) const
| Returns true if the two Geometrys are exactly equal, up to a specified tolerance.
Geometry * | clone () const
| Make a deep-copy of this Geometry.
MultiLineString * | reverse () const
## Protected Member Functions
| MultiLineString (std::vector< Geometry * > *newLines, const GeometryFactory *newFactory)
| Constructs a `MultiLineString`.
| MultiLineString (const MultiLineString &mp)
## Friends
class | GeometryFactory

## Detailed Description

Basic implementation of MultiLineString objects.

## Constructor & Destructor Documentation

geos::geom::MultiLineString::MultiLineString | ( | std::vector< Geometry * > * | newLines,
|  | const GeometryFactory * | newFactory |
| ) |  |  | `[protected]`

Constructs a `MultiLineString`.

Parameters:

  | newLines | The `LineStrings`s for this `MultiLineString`, or `null` or an empty array to create the empty geometry. Elements may be empty `LineString`s, but not `null`s.

Constructed object will take ownership of the vector and its elements.

Parameters:

  | newFactory | The GeometryFactory used to create this geometry. Caller must keep the factory alive for the life-time of the constructed MultiLineString.

## Member Function Documentation

MultiLineString* geos::geom::MultiLineString::reverse | ( |  | ) | const

Creates a MultiLineString in the reverse order to this object. Both the order of the component LineStrings and the order of their coordinate sequences are reversed.

Returns:
  a MultiLineString in the reverse order

The documentation for this class was generated from the following file:

- MultiLineString.h